MonoMac 0.0.0.0 System.Enum Specifies the bitmap layout information.

Quartz supports a number of color models: red, green and blue (RGB), cyan, magenta, yellow and key black (CMYK) and grayscale. Additionally, it is possible to specify an alpha channel that determines the transparency of the color when compositing an image with another one.

This enumeration determines the in-memory organization of the data and includes the color model, whether there is an alpha channel present and whether the component values have been premultiplied.

Pre-multiplication means that the values for red, green and blue have already been multiplied by the alpha value. This helps speed up rendering as it avoids three multiplications per pixel at render time.

- Field
  0.0.0.0
  MonoMac.CoreGraphics.CGImageAlphaInfo Alpha channel comes first using 32-bits per pixel and 8 bits per channel (ARGB).
- Field
  0.0.0.0
  MonoMac.CoreGraphics.CGImageAlphaInfo Alpha comes last, 32-bit per pixel, 8-bits per channel (RGBA).
- Field
  0.0.0.0
  MonoMac.CoreGraphics.CGImageAlphaInfo Used for CMYK processing, 32-bits per pixel, 8-bits per channel (CMYK).
- Field
  0.0.0.0
  MonoMac.CoreGraphics.CGImageAlphaInfo There is no alpha channel, 32-bits per pixel, 8 bits per channel, with the topmost channel ignored (xRGB).
- Field
  0.0.0.0
  MonoMac.CoreGraphics.CGImageAlphaInfo There is no alpha channel, 32-bits per pixel, 8 bits per channel, with the lower channel ignored (RGBx).
- Field
  0.0.0.0
  MonoMac.CoreGraphics.CGImageAlphaInfo No color data, only alpha channel data.
- Field
  0.0.0.0
  MonoMac.CoreGraphics.CGImageAlphaInfo Premultipled values for RGB, alpha channel comes first using 32-bits per pixel and 8 bits per channel (ARGB)
- Field
  0.0.0.0
  MonoMac.CoreGraphics.CGImageAlphaInfo Premultipled values for RGB, alpha comes last, 32-bit per pixel, 8-bits per channel (RGBA).